package com.qmth.distributed.print.business.templete.execute;

import com.qmth.distributed.print.business.entity.ExamPaperStructure;
import com.qmth.distributed.print.business.service.DataSyncService;
import com.qmth.teachcloud.common.entity.SysConfig;
import com.qmth.teachcloud.common.service.SysConfigService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 异步同步云阅卷
 */
@Service
public class AsyncCloudMarkingTaskService {

    private final static Logger log = LoggerFactory.getLogger(AsyncCloudMarkingTaskService.class);

    @Resource
    private SysConfigService sysConfigService;

    @Resource
    private DataSyncService dataSyncService;

    private boolean isSync() {
        SysConfig sysConfig = sysConfigService.getByKey("sys.sync.enable");
        return sysConfig != null && "true".equals(sysConfig.getConfigValue());
    }

    public void syncPaperStructureAndGroup(ExamPaperStructure examPaperStructure){
        dataSyncService.syncPaperStructureAndGroup(examPaperStructure);
    }
}
